$(document).ready(function(){
    $('#loadingContainer').ajaxStart(function(){
	    $(this).show();
	}).ajaxStop(function(){
	    $(this).hide();
	});
	
	var isIE6 = ($.browser.msie && $.browser.version=='6.0');
	setInterval(function(){
        $('div.sub_container').css('height',$(window.parent.frames.right).height()); //设置内容区域的高度
        if(isIE6){
            $('#datacontainer').css('height','390px');
        }else{
            $('#content').css('height',$('#popupContact').height()-$('#popupHead').height());
            $('#datacontainer').css('height',$('#content').height()-$('#sub_container_listhead').height()-$('#pageDataList1_Pager').height()-$('#divsave').height()-80);
        };
    },100);
	
	BindLimitProduct();
	
	$('#ddlTopCategories').change(function(){
		$('#btnClear').click();
		BindLimitProduct();
	});
	
	//弹出层
	$("#btnAdd").click(function(){
		//--填写默认时间
		if($.trim($('#defaultstarttime').val()) == '' || $.trim($('#defaultendtime').val()) == '')
		{
			alert('请填写默认开始时间和默认结束时间');
			return;
		}
		if($('input[@id^=starttime_]').length > 0)
		{
			alert('下面的商品的开始时间和结束时间将变为当前默认的开始和结束时间!');
			$('input[@id^=starttime_]').val($.trim($('#defaultstarttime').val()));
			$('input[@id^=endtime_]').val($.trim($('#defaultendtime').val()));
		}
		 $('#popupContact').popup({width:'80%',height:'80%',popupHead:'popupHead',btnClose:'popupContactClose'});
//		centerPopup();
//		loadPopup();
		$('#ddlTopCategories').hide();
		if(status == 0){
			BindProducts('BuyLimit.aspx',search_urldata);
			status = 1;
		};
	});//如果是第一次弹出层,要获取商品列表,否则只需要显示层即可 
//    $("#popupContactClose").click(function(){$('#ddlTopCategories').show();disablePopup();});
//    /**/
//    
//    $(document).keypress(function(e){if(e.keyCode==27 && popupStatus==1){disablePopup();}});
//    $(window).resize(function(){centerPopup();});
//    //拖动
//    $("#popupContact").easydrag();
//    $("#popupContact").setHandler("popupHead");
	
	if($.browser.mozilla){setInterval(setList,100);}
//	$('.sub_container_content').height(300);
    $('input[@name=chkAll]').click(function(){$('input[@name=chkItem]').attr('checked',$(this).attr('checked'));});//全选
	
	$('#showadvsearch').toggle(function(){
	    $('#advsearch').show();
	    $('#showadvsearch').text('简易搜索');
	    showadv = 1;
	},function(){
	    $('#advsearch').hide();
	    $('#sel_category').val('0')
        $('#sel_brand').val('0');
        $('#showadvsearch').text('高级搜索');
        showadv = 0;
	});
	
	$('#deleteall').click(function(){$('#listresult tr:gt(0)').remove();$('#PIDs').val('');$('#count').text('0');});//删除所有已选择的商品
    
    $('#sel_category option').eq(0).attr('selected','selected');
    $('#sel_category').change(function(){
        var categoryIDs = $(this).val();
        if(categoryIDs == null){return false;};
        $.ajax({
            url:'BindingAdd.aspx?type=ajax&Action=GetBrandByCatID&product_category_id=' + categoryIDs + '&NoCopyRight=1',
            cache:false,
            success:function(data){
                if(!checkLoginStatus(data)){return false;}
                $('#sel_brand').html(data);
                $('#sel_brand option').eq(0).attr('selected','selected');
            },
            error:function(){alert('error');}
        });
    });
    
    //搜索
    $('#btnSearch').click(function(){
        CurrentPage = 1;
        keyword = $('#txtKeyword').val();
        catID = $('#sel_category').val();
        brandID = $('#sel_brand').val();
        if(catID == null){catID = '0'};
        if(brandID == null){brandID = '0';}
        searchType = $('#sel_searchType').val();
        search_urldata = 'type=ajax&Action=SearchProductsAjax&keyword=' + escape(keyword) + '&CatID=' + catID + '&BrandIDs=' + brandID + '&SearchType=' + searchType + '&PageSize='+PageSize+'&Page='+CurrentPage;
        BindProducts('BuyLimit.aspx',search_urldata);
        if(showadv == 1){
            $('#showadvsearch').click();
        }
    });
    
    $('#btnSubmit').click(function(){
        var productIDs = '';
        var pnames = '';
        var limitprices = '';
        var endtimes = '';
		var quautitys = '';
        var selectedPIDs = '';
        if($('#PIDs').val() != ''){
            selectedPIDs = ','+$('#PIDs').val()+',';
        };
        $('input[@name=chkItem][@checked]').each(function(){
            var currobj = $(this);
            if(selectedPIDs.indexOf(',' + currobj.val() + ',') == -1)
            {
                var productname = currobj.parent().siblings('#Name').text();
                var limitprice = currobj.parent().siblings('#MemberPrice').text();

                var row = $('<tr><td class="delete ccenter c7"><img src="../images/x-gray.gif" alt="删除" /><input type="hidden" name="pid" value='
                     + currobj.val() + '><input type="hidden" name="pname" value="' 
                     + productname + '"></td><td class="c8" style="overflow-x:hidden;">'
                     + productname + '</td><td class="c9" style="overflow-x:hidden;text-align:right;padding-right:10px;">'
                     + limitprice + '</td><td class="c10 ccenter"><input id="price_' 
                     + currobj.val() + '" type="text" size="9" maxlength="20" style="text-align:center;" value="' 
                     + limitprice + '" /></td><td class="c11 ccenter"><input id="starttime_' 
                     + currobj.val() + '" type="text" size="15" readonly="readonly" maxlength="20" style="text-align:center;" value="' 
                     + $('#defaultstarttime').val() + '" /></td><td class="c12 ccenter"><input id="endtime_' 
                     + currobj.val() + '" type="text" size="15" readonly="readonly" maxlength="20" style="text-align:center;" value="' 
                     + $('#defaultendtime').val() + '" /></td><td class="c13 ccenter"><input id="quantity_'
					 + currobj.val() + '" type="text" size="5" style="text-align:center;" value=""/></td><td class="c14"></td></tr>');
                     
                row.find('.delete').css('cursor','pointer').click(function(){
                    $(this).parent().remove();
                    $('#count').text(Number($('#count').text())-1);
                    //--商品ID
                    var ids = '';
                    $('input[@name=pid]').each(function(){
                        ids += $(this).val() + ',';
                    });
                    if(ids != ''){ids = ids.substring(0,ids.length-1);};
                    $('#PIDs').val(ids);
                    //--商品名称
                    var pnames = '';
                    $('input[@name=pname]').each(function(){
                        pnames += $(this).val() + ',';
                    });
                    if(pnames != ''){pnames = pnames.substring(0,pnames.length-1);};
                    $('#pnames').val(pnames);
                    
                }).find('img').mouseover(function(){
                    $(this).attr('src','../images/x-red.gif');
                }).mouseout(function(){
                    $(this).attr('src','../images/x-gray.gif');
                });
                
                $('#listresult').append(row);
                productIDs += currobj.val() + ',';
                pnames += productname.replace(',',' ') + ',';
                $('#starttime_'+currobj.val()).click(function(){
					 setDayHM(this);									  
				});
                $('#endtime_'+currobj.val()).click(function(){
					 setDayHM(this);									  
				});
            };
        });
        if(productIDs != ""){
            productIDs = productIDs.substring(0,productIDs.length-1);
            pnames = pnames.substring(0,pnames.length-1);
            $('#PIDs').val($('#PIDs').val() + ($('#PIDs').val() != '' ? ',' : '') + productIDs);//隐藏控件记录已选择的商品ID(逗号分隔1,2,3)
            $('#pnames').val($('#pnames').val() + ($('#pnames').val() != '' ? ',' : '') + pnames);
        };
        $('#popupContactClose').click();
        $('#count').text($('input[@name=pid]').length);
		$('#ddlTopCategories').show();
    });
    //--默认时间
	$('#defaultstarttime').click(function(){
		 setDayHM(this);
	});
	$('#defaultendtime').click(function(){
		 setDayHM(this);
	});
		
    
    //--清空
    $('#btnClear').click(function(){
        $('#count').text('0');
        $('tr:gt(0)','#listresult').remove();
        $('#PIDs').val('');
        $('#pnames').val('');
    });
    
    //--完成
    $('#btnSave').click(function(){
        var flag = true;
		if($('input[@id^=starttime_]').length > 0)
		{
			$('input[@id^=starttime_]').val($.trim($('#defaultstarttime').val()));
			$('input[@id^=endtime_]').val($.trim($('#defaultendtime').val()));
		}
        $('input[@id^=price_]').each(function(i){
            if($.trim($(this).val()) == '')
            {
                alert($(this).parent().parent().find('td:eq(1)').html()+' 的抢购价不能为空！');
                flag = false;
                return false;
            }
                        
            var point = /^[-\+]?\d+(\.\d+)?$/;
            if(!point.test($.trim($(this).val())) || $.trim($(this).val()) <= 0)
            {
                alert($(this).parent().parent().find('td:eq(1)').html()+' 的抢购价填写错误,只能为正数！');
                flag = false;
                return false;
            }
        });
        
        $('input[@id^=starttime_]').each(function(i){
            if($.trim($(this).val()) == '')
            {
                alert($(this).parent().parent().find('td:eq(1)').html()+' 的开始日期不能为空！');
                flag = false;
                return false;
            }
        });
        
        $('input[@id^=endtime_]').each(function(i){
            if($.trim($(this).val()) == '')
            {
                alert($(this).parent().parent().find('td:eq(1)').html()+' 的截止日期不能为空！');
                flag = false;
                return false;
            }
        });
		
		$('input[@id^=quantity_]').each(function(i){
            if($.trim($(this).val()) == '')
            {
                alert($(this).parent().parent().find('td:eq(1)').html()+' 的抢购数量不能为空！');
                flag = false;
                return false;
            }
        });
        if(flag == false)
        {
            return false;
        }
    
        //--将每种商品的数量放到隐藏控件里面limitprices
        var pID = $.trim($('#PIDs').val()).split(',');
        $('#limitprices').val('');
        $('#starttimes').val('');
        $('#endtimes').val('');
		$('#quantitys').val('');
        for(var i=0; i<pID.length; i++)
        {
            $('#limitprices').val($('#limitprices').val() + ($('#limitprices').val() != '' ? ',' : '') + $('#price_'+pID[i]).val());
            $('#starttimes').val($('#starttimes').val() + ($('#starttimes').val() != '' ? ',' : '') + $('#starttime_'+pID[i]).val());
            $('#endtimes').val($('#endtimes').val() + ($('#endtimes').val() != '' ? ',' : '') + $('#endtime_'+pID[i]).val());
			$('#quantitys').val($('#quantitys').val() + ($('#quantitys').val() != '' ? ',' : '') + $('#quantity_'+pID[i]).val());
        }
     });
     
     //--测试
    $('#test').click(function(){
//        alert($('#PIDs').val());
//        alert($('#pidsums').val());
//        alert($('#uprices').val());
//        alert($('#pnames').val());
//        alert($('#pnos').val());
    });
    
});

function getQueryStringRegExp(name)
{
    var reg = new RegExp("(^|\\?|&)" + name.toLowerCase() + "=([^&]*)(\\s|&|$)", "i");
    if (reg.test(location.href.toLowerCase()))
    return unescape(RegExp.$2.replace(/\+/g, " "));
    return "";
}
